# Transaction Webhooks

> This request updates the merchant on the status of the transaction.

Source: https://help.boltapp.com/api-reference/merchant-callback-reference/webhooks/transactionwebhooks

`POST /webhooks_transaction`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "version": "1.0.0",
    "title": "Merchant Callback API Reference",
    "description": "## About\nThe Merchant Callback API is a general endpoint on your eCommerce server that Bolt calls to receive information necessary for operating the checkout process.\n\n**Note**: You must also reference the [Bolt API](/api-bolt) when building a custom cart integration.\n\n### URL Options\nYou can set the URL(s) for your Merchant Callback API in the [Bolt Merchant dashboard](https://merchant.boltapp.com).\n- **v1**: v1 endpoints are individualized and described in the subsections below with unique URLs (e.g., `/order_shipping_and_tax`)\n- **Universal**: The \"Universal API\" is one endpoint (instead of many) that handles all events described in this spec; the methods and payloads are identical, however you only need to use one URL.\n\nNeed more information? See our [Developer reference articles](/developers/references/) for **environment details**, **error codes**, and more.\n"
  },
  "servers": [
    {
      "url": "https://merchant-url.com/api"
    }
  ],
  "paths": {
    "/webhooks_transaction": {
      "post": {
        "summary": "Transaction Webhooks",
        "operationId": "TransactionWebhooks",
        "description": "This request updates the merchant on the status of the transaction.\n",
        "security": [
          {
            "ApiKeyAuth": [
              "X-API-Key"
            ]
          }
        ],
        "tags": [
          "Webhooks"
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/bolt_hmac_param"
          }
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/webhooks_transaction"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/webhooks_transaction"
          },
          "422": {
            "$ref": "#/components/responses/webhooks_transaction_error"
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "bolt_hmac_param": {
        "in": "header",
        "name": "X-Bolt-Hmac-Sha256",
        "schema": {
          "type": "string"
        },
        "description": "Bolt sends a signed HMAC for hook verification"
      }
    },
    "requestBodies": {
      "webhooks_transaction": {
        "content": {
          "application/json": {
            "schema": {
              "oneOf": [
                {
                  "$ref": "#/components/schemas/webhooks_transaction_auth"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_capture"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_credit"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_failed_payment"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_newsletter_subscription"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_payment"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_rejected_irreversible"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_risk_insights"
                },
                {
                  "$ref": "#/components/schemas/webhooks_transaction_void"
                }
              ]
            }
          }
        }
      }
    },
    "schemas": {
      "webhooks_transaction_auth": {
        "type": "object",
        "title": "auth",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
                "$ref": "#/components/schemas/transaction_from_credit_card"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "authorization": {
                "$ref": "#/components/schemas/transaction_authorization"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              }
            }
          }
        }
      },
      "webhooks_type": {
        "type": "string",
        "description": "The type of webhook. For `auth` webhooks, a notification is only triggered if the authorization included a risk review.\n\n**IMPORTANT:** The One Of buttons above reflect the webhook type and change the schema below (within `data`). Please make sure to select the correct webhook type according to your needs.\n",
        "enum": [
          "auth",
          "capture",
          "credit",
          "failed_payment",
          "newsletter_subscription",
          "payment",
          "pending",
          "rejected_irreversible",
          "risk_insights",
          "void"
        ],
        "examples": [
          "pending"
        ]
      },
      "transaction_id": {
        "type": "string",
        "description": "The transaction's id. **Nullable** for Transactions Details.",
        "examples": [
          "T1c3p4yBuVYJ9"
        ]
      },
      "transaction_type": {
        "type": "string",
        "description": "The type of transaction. **Nullable** for Transactions Details.",
        "enum": [
          "apm_payment",
          "apm_refund",
          "authorization_verification",
          "bank_account_verification",
          "cc_payment",
          "cc_credit",
          "float_transfer",
          "funding_transfer",
          "funding_withdrawal",
          "merchant_credit",
          "merchant_debit",
          "paypal_payment",
          "paypal_refund",
          "processing_fee_transfer",
          "processing_fee_withdrawal",
          "reserve_transfer",
          "risk_fee_transfer",
          "risk_fee_withdrawal",
          "zero_amount"
        ],
        "examples": [
          "cc_payment"
        ]
      },
      "transaction_processor": {
        "type": "string",
        "description": "The processor used. **Nullable** for Transactions Details.",
        "enum": [
          "adyen_gateway",
          "adyen_payfac",
          "affirm",
          "afterpay",
          "alliance_data",
          "amazon_pay",
          "authorize_net",
          "braintree",
          "cybersource",
          "first_data",
          "klarna",
          "nmi",
          "orbital",
          "paypal",
          "sezzle",
          "stripe",
          "radial",
          "vantiv"
        ],
        "examples": [
          "adyen_gateway"
        ]
      },
      "transaction_date": {
        "type": "integer",
        "description": "Transaction date. **Nullable** for Transactions Details.",
        "examples": [
          1615407159447
        ]
      },
      "transaction_reference": {
        "type": "string",
        "description": "The transaction's Bolt reference ID. **Nullable** for Transactions Details.",
        "examples": [
          "LBLJ-TWW7-R9VC"
        ]
      },
      "transaction_status": {
        "type": "string",
        "description": "The status of the transaction. **Nullable** for Transactions Details.",
        "enum": [
          "authorized",
          "cancelled",
          "completed",
          "created",
          "failed",
          "in_progress",
          "pending",
          "rejected_irreversible",
          "rejected_reversible"
        ],
        "examples": [
          "cancelled"
        ]
      },
      "transaction_from_user": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          },
          "phones": {
            "$ref": "#/components/schemas/phones"
          },
          "emails": {
            "$ref": "#/components/schemas/emails"
          }
        }
      },
      "first_name": {
        "type": "string",
        "description": "The person's first name.",
        "examples": [
          "Charlotte"
        ]
      },
      "last_name": {
        "type": "string",
        "description": "The person's last name.",
        "examples": [
          "Charles"
        ]
      },
      "phones": {
        "type": "array",
        "description": "A list of phone numbers.",
        "items": {
          "$ref": "#/components/schemas/phones_with_country_code"
        }
      },
      "phones_with_country_code": {
        "type": "array",
        "description": "A list of phone numbers.",
        "items": {
          "type": "object",
          "description": "A phone number with country code.",
          "properties": {
            "id": {
              "$ref": "#/components/schemas/phone_id"
            },
            "number": {
              "$ref": "#/components/schemas/phone"
            },
            "country_code": {
              "$ref": "#/components/schemas/phone_country_code"
            },
            "status": {
              "$ref": "#/components/schemas/phone_status"
            },
            "priority": {
              "$ref": "#/components/schemas/phone_priority"
            }
          }
        }
      },
      "phone_id": {
        "type": "string",
        "description": "This is the ID for the phone number associated with the shopper.",
        "examples": [
          "123"
        ]
      },
      "phone": {
        "type": "string",
        "description": "A phone number without the country code.",
        "examples": [
          "867-5309"
        ]
      },
      "phone_country_code": {
        "type": "string",
        "description": "A phone number's country code.",
        "examples": [
          "1"
        ]
      },
      "phone_status": {
        "type": "string",
        "description": "This is the status of the contact method.",
        "enum": [
          "active",
          "pending",
          "inactive"
        ],
        "examples": [
          "active"
        ]
      },
      "phone_priority": {
        "type": "string",
        "description": "This is the priority of the contact method. This field's contents are not displayed in the transaction details view.",
        "enum": [
          "primary",
          "listed"
        ],
        "examples": [
          "primary"
        ]
      },
      "emails": {
        "type": "array",
        "description": "A list of email addresses. **Nullable** for Transactions Details.",
        "items": {
          "type": "object",
          "description": "An object of user email.",
          "properties": {
            "id": {
              "$ref": "#/components/schemas/email_id"
            },
            "address": {
              "$ref": "#/components/schemas/email"
            },
            "status": {
              "$ref": "#/components/schemas/email_status"
            },
            "priority": {
              "$ref": "#/components/schemas/email_priority"
            }
          }
        }
      },
      "email_id": {
        "type": "string",
        "description": "This is the ID for the email address associated with the shopper.",
        "examples": [
          "123"
        ]
      },
      "email": {
        "type": "string",
        "description": "The person's email address.",
        "examples": [
          "my.email@gmail.com"
        ]
      },
      "email_status": {
        "type": "string",
        "description": "This is the status of the contact method.",
        "enum": [
          "active",
          "pending",
          "inactive"
        ],
        "examples": [
          "active"
        ]
      },
      "email_priority": {
        "type": "string",
        "description": "This is the priority of the contact method. This field's contents are not displayed in the transaction details view.",
        "enum": [
          "primary",
          "listed"
        ],
        "examples": [
          "primary"
        ]
      },
      "transaction_from_credit_card": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_network"
          }
        }
      },
      "card_id": {
        "type": "string",
        "description": "The card's ID. **Nullable** for Transactions Details.",
        "examples": [
          "AB3rJKam5DhYE"
        ]
      },
      "card_last4": {
        "type": "string",
        "description": "The card's last 4 digits. **Nullable** for Transactions Details.",
        "examples": [
          "4021"
        ]
      },
      "card_network": {
        "type": "string",
        "description": "The card's network. **Nullable** for Transactions Details.",
        "enum": [
          "American Express",
          "Diners Club",
          "Discover",
          "JCB",
          "MasterCard",
          "Union Pay",
          "Visa"
        ],
        "examples": [
          "Visa"
        ]
      },
      "amounts": {
        "type": "object",
        "description": "The amount. **Nullable** for Transactions Details.",
        "required": [
          "amount",
          "currency",
          "currency_symbol"
        ],
        "properties": {
          "amount": {
            "$ref": "#/components/schemas/amount"
          },
          "currency": {
            "$ref": "#/components/schemas/currency_iso"
          },
          "currency_symbol": {
            "$ref": "#/components/schemas/currency_symbol"
          }
        }
      },
      "amount": {
        "type": "integer",
        "description": "The amount in cents. **Nullable** for Transactions Details.",
        "examples": [
          754
        ]
      },
      "currency_iso": {
        "type": "string",
        "description": "The 3-digit ISO code for the currency. **Nullable** for Transactions Details.",
        "examples": [
          "USD"
        ]
      },
      "currency_symbol": {
        "type": "string",
        "description": "The currency symbol used for the amount. **Nullable** for Transactions Details.",
        "examples": [
          "$"
        ]
      },
      "order": {
        "type": "object",
        "properties": {
          "token": {
            "$ref": "#/components/schemas/order_token"
          },
          "cart": {
            "$ref": "#/components/schemas/cart_order"
          },
          "user_note": {
            "$ref": "#/components/schemas/user_note"
          },
          "external_data": {
            "$ref": "#/components/schemas/external_data"
          },
          "dynamic_content": {
            "type": "object",
            "description": "Contains all dynamic content fields.",
            "properties": {
              "shipping_info_notice": {
                "type": "string",
                "examples": [
                  "A Notice Message"
                ]
              },
              "payment_notice": {
                "type": "string",
                "examples": [
                  "A Notice Message"
                ]
              },
              "shipping_notice": {
                "type": "string",
                "examples": [
                  "A Notice Message"
                ]
              },
              "order_notice": {
                "type": "string",
                "examples": [
                  "A Notice Message"
                ]
              },
              "custom_fields": {
                "$ref": "#/components/schemas/custom_fields2"
              },
              "hide_apm": {
                "$ref": "#/components/schemas/hide_apms"
              },
              "gift_option_view": {
                "$ref": "#/components/schemas/gift_option_view"
              }
            }
          }
        }
      },
      "order_token": {
        "type": "string",
        "description": "The token for the order.",
        "examples": [
          "a2b3dDc4cA5e6fg78Bg9hj0kl"
        ]
      },
      "cart_order": {
        "type": "object",
        "required": [
          "currency",
          "subtotal_amount",
          "total_amount"
        ],
        "properties": {
          "order_description": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "order_reference": {
            "$ref": "#/components/schemas/order_reference"
          },
          "display_id": {
            "$ref": "#/components/schemas/display_id"
          },
          "transaction_reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "cart_url": {
            "$ref": "#/components/schemas/cart_url"
          },
          "merchant_order_url": {
            "$ref": "#/components/schemas/order_url"
          },
          "currency": {
            "$ref": "#/components/schemas/currency"
          },
          "subtotal_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "total_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "shipping_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "discount_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "billing_address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          },
          "items": {
            "$ref": "#/components/schemas/items"
          },
          "shipments": {
            "$ref": "#/components/schemas/shipments2"
          },
          "in_store_shipments": {
            "$ref": "#/components/schemas/in_store_shipments"
          },
          "discounts": {
            "$ref": "#/components/schemas/discounts"
          },
          "metadata": {
            "$ref": "#/components/schemas/metadata_component"
          }
        }
      },
      "order_reference": {
        "type": "string",
        "description": "The order reference.",
        "examples": [
          "order-12345"
        ]
      },
      "display_id": {
        "type": "string",
        "description": "The displayed ID.",
        "examples": [
          "ID-12345"
        ]
      },
      "cart_url": {
        "type": "string",
        "description": "The URL for the cart.",
        "examples": [
          "https://boltswagstore.com/orders/123456765432"
        ]
      },
      "order_url": {
        "type": "string",
        "examples": [
          "https://mystore.com/orders/2345678"
        ]
      },
      "currency": {
        "type": "object",
        "properties": {
          "currency": {
            "$ref": "#/components/schemas/currency_iso"
          },
          "currency_symbol": {
            "$ref": "#/components/schemas/currency_symbol"
          }
        }
      },
      "consumer_billing_address": {
        "type": "object",
        "required": [
          "street_address1",
          "locality",
          "region",
          "postal_code"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/billing_address_id"
          },
          "street_address1": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address2": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address3": {
            "$ref": "#/components/schemas/street_address"
          },
          "street_address4": {
            "$ref": "#/components/schemas/street_address"
          },
          "locality": {
            "$ref": "#/components/schemas/locality"
          },
          "region": {
            "$ref": "#/components/schemas/region"
          },
          "postal_code": {
            "$ref": "#/components/schemas/postal_code"
          },
          "country_code": {
            "$ref": "#/components/schemas/country_code"
          },
          "country": {
            "$ref": "#/components/schemas/country"
          },
          "name": {
            "$ref": "#/components/schemas/name_person"
          },
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          },
          "company": {
            "$ref": "#/components/schemas/company"
          },
          "phone_number": {
            "$ref": "#/components/schemas/phone"
          },
          "email_address": {
            "$ref": "#/components/schemas/email"
          }
        }
      },
      "billing_address_id": {
        "type": "string",
        "description": "ID for billing address",
        "examples": [
          "address-1"
        ]
      },
      "street_address": {
        "type": "string",
        "description": "You can use up to 4 street address fields.",
        "examples": [
          "42 Wallaby Way"
        ]
      },
      "locality": {
        "type": "string",
        "description": "A locale such as county, district, etc.",
        "examples": [
          "Wayne County"
        ]
      },
      "region": {
        "type": "string",
        "description": "A state, province, or similar region type.",
        "examples": [
          "Quebec"
        ]
      },
      "postal_code": {
        "type": "string",
        "description": "The postal code.",
        "examples": [
          "11209"
        ]
      },
      "country_code": {
        "type": "string",
        "description": "The 2-digit country code.",
        "examples": [
          "US"
        ]
      },
      "country": {
        "type": "string",
        "description": "The country's name.",
        "examples": [
          "Canada"
        ]
      },
      "name_person": {
        "type": "string",
        "description": "The first and last name together as a string.",
        "examples": [
          "Charlotte Charles"
        ]
      },
      "company": {
        "type": "string",
        "description": "The company's name",
        "examples": [
          "ACME Corp."
        ]
      },
      "items": {
        "type": "array",
        "description": "A list of items.",
        "items": {
          "$ref": "#/components/schemas/item"
        }
      },
      "item": {
        "type": "object",
        "description": "An item with properties.",
        "required": [
          "reference",
          "name",
          "total_amount",
          "unit_price",
          "quantity"
        ],
        "properties": {
          "reference": {
            "$ref": "#/components/schemas/reference"
          },
          "name": {
            "$ref": "#/components/schemas/name_item"
          },
          "description": {
            "$ref": "#/components/schemas/item_description"
          },
          "options": {
            "$ref": "#/components/schemas/options"
          },
          "total_amount": {
            "$ref": "#/components/schemas/total_amount"
          },
          "unit_price": {
            "$ref": "#/components/schemas/unit_price"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "quantity": {
            "$ref": "#/components/schemas/quantity"
          },
          "uom": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "upc": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "sku": {
            "$ref": "#/components/schemas/sku"
          },
          "isbn": {
            "$ref": "#/components/schemas/isbn"
          },
          "brand": {
            "$ref": "#/components/schemas/brand"
          },
          "manufacturer": {
            "$ref": "#/components/schemas/manufacturer"
          },
          "category": {
            "$ref": "#/components/schemas/category"
          },
          "collections": {
            "$ref": "#/components/schemas/collections"
          },
          "tags": {
            "$ref": "#/components/schemas/tag"
          },
          "color": {
            "$ref": "#/components/schemas/color"
          },
          "size": {
            "$ref": "#/components/schemas/size"
          },
          "weight": {
            "$ref": "#/components/schemas/total_weight"
          },
          "image_url": {
            "$ref": "#/components/schemas/image_url"
          },
          "details_url": {
            "type": "string",
            "description": "The URL for the item's details.",
            "examples": [
              "https://boltswagstore.com/inventory/hats/red-hat.png"
            ]
          },
          "type": {
            "$ref": "#/components/schemas/type"
          },
          "taxable": {
            "$ref": "#/components/schemas/taxable"
          },
          "properties": {
            "$ref": "#/components/schemas/item_properties"
          },
          "item_group": {
            "$ref": "#/components/schemas/item_group"
          },
          "shipment_type": {
            "$ref": "#/components/schemas/item_shipment_type"
          },
          "customizations": {
            "type": "array",
            "items": {
              "type": "object",
              "required": [
                "name",
                "price",
                "attributes"
              ],
              "properties": {
                "name": {
                  "$ref": "#/components/schemas/customizations_name"
                },
                "price": {
                  "$ref": "#/components/schemas/amounts"
                },
                "attributes": {
                  "$ref": "#/components/schemas/metadata_component"
                }
              }
            }
          },
          "bolt_product_id": {
            "$ref": "#/components/schemas/bolt_product_id"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_options"
          }
        }
      },
      "reference": {
        "type": "string",
        "description": "Reference for the object.",
        "examples": [
          "1123"
        ]
      },
      "name_item": {
        "type": "string",
        "description": "The name of an item.",
        "examples": [
          "Blue Hat"
        ]
      },
      "item_description": {
        "type": "string",
        "description": "A description for the item added to the cart/order.",
        "examples": [
          " Large blue satin hat with initials embroidered."
        ]
      },
      "options": {
        "type": "string",
        "examples": [
          "string option"
        ]
      },
      "total_amount": {
        "type": "integer",
        "description": "The total amount.",
        "examples": [
          9900
        ]
      },
      "unit_price": {
        "type": "integer",
        "description": "Price per unit in cents.",
        "examples": [
          500
        ]
      },
      "quantity": {
        "type": "integer",
        "description": "The quantity of this item.",
        "examples": [
          3
        ]
      },
      "sku": {
        "type": "string",
        "description": "The SKU identifier for this item or service.",
        "examples": [
          "SKU-11021"
        ]
      },
      "isbn": {
        "type": "string",
        "description": "A 13-digit identifier for a book item.",
        "examples": [
          "12-345-678-90123"
        ]
      },
      "brand": {
        "type": "string",
        "description": "The name of a brand.",
        "examples": [
          "Bolt Swagstore"
        ]
      },
      "manufacturer": {
        "type": "string",
        "description": "The name of a manufacturer.",
        "examples": [
          "Bolt Factory"
        ]
      },
      "category": {
        "type": "string",
        "description": "A category.",
        "examples": [
          "hats"
        ]
      },
      "collections": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/collection"
        }
      },
      "collection": {
        "type": "string",
        "examples": [
          "summer"
        ]
      },
      "tag": {
        "type": "string",
        "description": "A tag",
        "examples": [
          "red"
        ]
      },
      "color": {
        "type": "string",
        "description": "The color.",
        "examples": [
          "Red"
        ]
      },
      "size": {
        "type": "string",
        "description": "The size.",
        "examples": [
          "XXL"
        ]
      },
      "total_weight": {
        "type": "object",
        "properties": {
          "weight": {
            "$ref": "#/components/schemas/weight"
          },
          "unit": {
            "$ref": "#/components/schemas/weight_unit"
          }
        }
      },
      "weight": {
        "type": "integer",
        "description": "The weight of an item.",
        "examples": [
          22
        ]
      },
      "weight_unit": {
        "type": "string",
        "description": "The unit of measurement for an item's weight.",
        "examples": [
          "kg"
        ]
      },
      "image_url": {
        "type": "string",
        "description": "The URL for the item's image.",
        "examples": [
          "https://boltswagstore.com/inventory/hats/red-hat.png"
        ]
      },
      "type": {
        "type": "string",
        "enum": [
          "bundled",
          "digital",
          "physical",
          "unknown"
        ],
        "description": "Determines if item is a physical, digital, or bundled good, or if the good type is unknown.",
        "examples": [
          "physical"
        ]
      },
      "taxable": {
        "type": "boolean",
        "description": "Determines if item is taxable.",
        "examples": [
          true
        ]
      },
      "item_properties": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/item_property"
        }
      },
      "item_property": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "examples": [
              "a-name"
            ]
          },
          "value": {
            "type": "string",
            "examples": [
              "a-value"
            ]
          }
        }
      },
      "item_group": {
        "type": "string",
        "description": "Enables grouping in the checkout UI.",
        "examples": [
          "Ships Immediately"
        ]
      },
      "item_shipment_type": {
        "type": "string",
        "description": "The shipment type selected by the shopper.",
        "enum": [
          "unknown",
          "door delivery",
          "in_store_pickup",
          "ship_to_store"
        ]
      },
      "customizations_name": {
        "type": "string",
        "description": "The name of the customization.",
        "examples": [
          "Bedazzled"
        ]
      },
      "metadata_component": {
        "type": "object",
        "properties": {
          "key1": {
            "type": "string",
            "examples": [
              "value1"
            ]
          },
          "key2": {
            "type": "string",
            "examples": [
              "value2"
            ]
          }
        }
      },
      "bolt_product_id": {
        "type": "string",
        "description": "Unique ID generated for a product via the products endpoint.",
        "examples": [
          "e2bb0e7e-5625-536f-8ad7-25a26537ee28"
        ]
      },
      "gift_options": {
        "type": "object",
        "description": "Contains the gift option settings for wrapping and custom messages.",
        "required": [
          "wrap",
          "merchant_product_id"
        ],
        "properties": {
          "wrap": {
            "$ref": "#/components/schemas/gift_options_wrap"
          },
          "message": {
            "$ref": "#/components/schemas/gift_options_message"
          },
          "cost": {
            "$ref": "#/components/schemas/gift_options_cost"
          },
          "merchant_product_id": {
            "$ref": "#/components/schemas/merchant_product_id"
          }
        }
      },
      "gift_options_wrap": {
        "type": "boolean",
        "description": "Defines whether gift wrapping was requested.",
        "examples": [
          false
        ]
      },
      "gift_options_message": {
        "type": "string",
        "description": "Includes the gift message written by the shopper.",
        "examples": [
          "Happy Anniversary, Smoochy Poo!"
        ]
      },
      "gift_options_cost": {
        "type": "integer",
        "description": "Defines the price of gift wrapping this item. Required if `wrap` = `true`.\n",
        "examples": [
          785
        ]
      },
      "merchant_product_id": {
        "type": "string",
        "description": "The merchant's unique ID for the product.",
        "examples": [
          "881"
        ]
      },
      "shipments2": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/shipment"
        }
      },
      "shipment": {
        "type": "object",
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/shipping_address_id"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          },
          "total_weight": {
            "$ref": "#/components/schemas/total_weight"
          },
          "shipping_method": {
            "$ref": "#/components/schemas/shipping_method"
          },
          "carrier": {
            "$ref": "#/components/schemas/carrier"
          },
          "service": {
            "$ref": "#/components/schemas/service"
          },
          "expedited": {
            "$ref": "#/components/schemas/expedited"
          },
          "cost": {
            "$ref": "#/components/schemas/amounts"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "reference": {
            "$ref": "#/components/schemas/reference"
          },
          "signature": {
            "$ref": "#/components/schemas/signature"
          },
          "package_type": {
            "$ref": "#/components/schemas/package_type"
          },
          "package_dimension": {
            "$ref": "#/components/schemas/package_dimension"
          },
          "package_weights": {
            "$ref": "#/components/schemas/package_weights"
          },
          "default": {
            "$ref": "#/components/schemas/default"
          },
          "estimated_delivery_date": {
            "$ref": "#/components/schemas/estimated_delivery_date"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_options"
          }
        }
      },
      "shipping_address_id": {
        "type": "string",
        "description": "ID for billing address",
        "examples": [
          "addres-1"
        ]
      },
      "shipping_method": {
        "type": "string",
        "description": "The name of the shipping method.",
        "examples": [
          "Unknown"
        ]
      },
      "carrier": {
        "type": "string",
        "description": "The name of the carrier selected.",
        "examples": [
          "FedEx"
        ]
      },
      "service": {
        "type": "string",
        "description": "The service name.",
        "examples": [
          "Option 1"
        ]
      },
      "expedited": {
        "type": "boolean",
        "description": "True if shipment is expedited.",
        "examples": [
          false
        ]
      },
      "signature": {
        "type": "string",
        "description": "The signature.",
        "examples": [
          "a1B2s3dC4f5g5D6hj6E7k8F9l0"
        ]
      },
      "package_type": {
        "type": "string",
        "description": "The type of package.",
        "examples": [
          "A big package."
        ]
      },
      "package_dimension": {
        "type": "object",
        "description": "Contains the package's width, eight, depth, and unit details.",
        "properties": {
          "width": {
            "$ref": "#/components/schemas/width"
          },
          "height": {
            "$ref": "#/components/schemas/height"
          },
          "depth": {
            "$ref": "#/components/schemas/depth"
          },
          "unit": {
            "$ref": "#/components/schemas/dimension_unit"
          }
        }
      },
      "width": {
        "type": "integer",
        "description": "The width.",
        "examples": [
          222
        ]
      },
      "height": {
        "type": "integer",
        "description": "The height.",
        "examples": [
          103
        ]
      },
      "depth": {
        "type": "integer",
        "description": "The depth.",
        "examples": [
          90
        ]
      },
      "dimension_unit": {
        "type": "string",
        "description": "The unit of measurement for an item's dimensions.",
        "examples": [
          "cm"
        ]
      },
      "package_weights": {
        "type": "object",
        "properties": {
          "weight": {
            "$ref": "#/components/schemas/weight"
          },
          "unit": {
            "$ref": "#/components/schemas/weight_unit"
          }
        }
      },
      "default": {
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "estimated_delivery_date": {
        "type": "string",
        "description": "The estimated delivery date.",
        "examples": [
          "08-30-2022"
        ]
      },
      "in_store_shipments": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/in_store_shipment2"
        }
      },
      "in_store_shipment2": {
        "type": "object",
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "shipment": {
            "$ref": "#/components/schemas/in_store_shipment"
          },
          "address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          },
          "distance": {
            "type": "integer",
            "examples": [
              1.2
            ]
          },
          "distance_unit": {
            "type": "string",
            "examples": [
              "miles"
            ]
          },
          "store_name": {
            "type": "string",
            "examples": [
              "My Store"
            ]
          }
        }
      },
      "in_store_shipment": {
        "type": "object",
        "description": "A cart that is being prepared for shipment",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/shipping_address_id"
          },
          "shipping_address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          },
          "total_weight": {
            "$ref": "#/components/schemas/total_weight"
          },
          "shipping_method": {
            "$ref": "#/components/schemas/shipping_method"
          },
          "carrier": {
            "$ref": "#/components/schemas/carrier"
          },
          "service": {
            "$ref": "#/components/schemas/service"
          },
          "expedited": {
            "$ref": "#/components/schemas/expedited"
          },
          "cost": {
            "$ref": "#/components/schemas/amounts"
          },
          "tax_amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "reference": {
            "$ref": "#/components/schemas/reference"
          },
          "signature": {
            "$ref": "#/components/schemas/signature"
          },
          "package_type": {
            "$ref": "#/components/schemas/package_type"
          },
          "package_dimension": {
            "$ref": "#/components/schemas/package_dimension"
          },
          "package_weights": {
            "$ref": "#/components/schemas/package_weights"
          },
          "default": {
            "$ref": "#/components/schemas/default"
          },
          "estimated_delivery_date": {
            "$ref": "#/components/schemas/estimated_delivery_date"
          },
          "gift_options": {
            "$ref": "#/components/schemas/gift_options"
          }
        }
      },
      "discounts": {
        "type": "array",
        "description": "A list of discounts.",
        "items": {
          "type": "object",
          "properties": {
            "amount": {
              "$ref": "#/components/schemas/amounts"
            },
            "code": {
              "$ref": "#/components/schemas/discount_code"
            },
            "reference": {
              "$ref": "#/components/schemas/discount_code"
            },
            "description": {
              "$ref": "#/components/schemas/discount_description"
            },
            "details_url": {
              "$ref": "#/components/schemas/discount_uri"
            },
            "free_shipping": {
              "$ref": "#/components/schemas/discount_free_shipping"
            },
            "discount_category": {
              "$ref": "#/components/schemas/discount_category"
            }
          }
        }
      },
      "discount_code": {
        "type": "string",
        "description": "The discount code input by a shopper.",
        "examples": [
          "SUMMERFUN15"
        ]
      },
      "discount_description": {
        "type": "string",
        "description": "The discount code's description.",
        "examples": [
          "Take 15% off of your order."
        ]
      },
      "discount_uri": {
        "type": "string",
        "description": "The discount's URI.",
        "examples": [
          "https://boltswagstore.com/discounts/#12345"
        ]
      },
      "discount_free_shipping": {
        "type": "object",
        "description": "Contains free shipping settings and limitations.",
        "properties": {
          "is_free_shipping": {
            "$ref": "#/components/schemas/is_free_shipping"
          },
          "maximum_cost_allowed": {
            "$ref": "#/components/schemas/maximum_cost_allowed"
          }
        }
      },
      "is_free_shipping": {
        "type": "boolean",
        "examples": [
          false
        ]
      },
      "maximum_cost_allowed": {
        "type": "integer",
        "examples": [
          100
        ]
      },
      "discount_category": {
        "type": "string",
        "description": "The discount's category.",
        "enum": [
          "coupon",
          "gift_card",
          "managed_giftcard",
          "store_credit",
          "automatic_promotion",
          "membership_discount",
          "unknown"
        ],
        "examples": [
          "coupon"
        ]
      },
      "user_note": {
        "type": "string",
        "description": "Notes from the shopper.",
        "examples": [
          "This item is a gift."
        ]
      },
      "external_data": {
        "type": "object",
        "description": "For Shopify users only; otherwise, is empty.",
        "properties": {
          "shopify": {
            "$ref": "#/components/schemas/shopify"
          }
        }
      },
      "shopify": {
        "type": "string",
        "description": "Data externalized from shopify.",
        "examples": [
          "VIP shopper"
        ]
      },
      "custom_fields2": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/custom_fields"
        }
      },
      "custom_fields": {
        "type": "object",
        "properties": {
          "external_id": {
            "type": "string",
            "description": "The external ID for the custom field.",
            "examples": [
              "123456"
            ]
          },
          "public_id": {
            "type": "string",
            "description": "The internal ID for the custom field.",
            "examples": [
              "i-123456"
            ]
          },
          "label": {
            "type": "string",
            "description": "The displayed label for the custom field, seen by the shopper.",
            "examples": [
              "Special Field"
            ]
          },
          "field_setup": {
            "type": "string",
            "examples": [
              "string"
            ]
          },
          "checkout_setup": {
            "type": "string",
            "enum": [
              "shipping_step",
              "delivery_step",
              "payment_step",
              "account_registration_sso"
            ],
            "examples": [
              "string"
            ]
          },
          "position": {
            "type": "integer",
            "examples": [
              1
            ]
          },
          "required": {
            "type": "boolean",
            "description": "Defines if the field must be completed to check out.",
            "examples": [
              true
            ]
          },
          "dynamic": {
            "type": "boolean",
            "description": "Defines whether the field is dynamic.",
            "examples": [
              false
            ]
          },
          "subscribe_to_newsletter": {
            "type": "boolean",
            "description": "Defines whether the shopper is opted into a newsletter or not.",
            "examples": [
              false
            ]
          }
        }
      },
      "hide_apms": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/hide_apm"
        }
      },
      "hide_apm": {
        "type": "string",
        "description": "Hides alternative payment methods from checkout.",
        "enum": [
          "amazonpay",
          "affirm",
          "afterpay",
          "paypal",
          "klarna",
          "radialpaypal"
        ]
      },
      "gift_option_view": {
        "type": "object",
        "description": "Defines which gift options are hidden.",
        "properties": {
          "hide_gift_wrap": {
            "type": "boolean",
            "examples": [
              false
            ]
          },
          "hide_gift_message": {
            "type": "boolean",
            "examples": [
              false
            ]
          }
        }
      },
      "transaction_authorization": {
        "type": "object",
        "required": [
          "reason",
          "status"
        ],
        "properties": {
          "auth": {
            "type": "string",
            "examples": [
              "auth"
            ]
          },
          "avs_response": {
            "type": "string",
            "examples": [
              "avs"
            ]
          },
          "cvv_response": {
            "type": "string",
            "examples": [
              "cvv"
            ]
          },
          "metadata": {
            "type": "object",
            "description": "The metadata associated with the authorization.",
            "properties": {
              "processor_card_token": {
                "$ref": "#/components/schemas/processor_card_token"
              },
              "processor_shopperReference": {
                "$ref": "#/components/schemas/processor_shopperReference"
              },
              "processor_token_alias": {
                "$ref": "#/components/schemas/processor_token_alias"
              }
            }
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "reason": {
            "$ref": "#/components/schemas/transaction_authorization_reason"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_authorization_status"
          }
        }
      },
      "processor_card_token": {
        "type": "string",
        "description": "The token associated with the shopper's credit card.",
        "examples": [
          "8416276679724052"
        ]
      },
      "processor_shopperReference": {
        "type": "string",
        "description": "The token associated with the shopper.",
        "examples": [
          5446666484094287
        ]
      },
      "processor_token_alias": {
        "type": "string",
        "description": "The alias token for the processor used.",
        "examples": [
          ""
        ]
      },
      "transaction_authorization_reason": {
        "type": "string",
        "description": "The status of the transaction. **Nullable** for Transactions Details.",
        "enum": [
          "none",
          "invalid_amount",
          "invalid_cvv",
          "invalid_cc_number",
          "expired",
          "risk",
          "lost_stolen",
          "call_issuer",
          "invalid_merchant_for_card"
        ]
      },
      "transaction_authorization_status": {
        "type": "string",
        "description": "The status of the transaction. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ]
      },
      "captures": {
        "type": "array",
        "description": "All captures associated with the transaction. **Nullable** for Transactions Details.",
        "items": {
          "$ref": "#/components/schemas/capture"
        }
      },
      "capture": {
        "type": "object",
        "description": "Deprecated. Use `captures`.",
        "required": [
          "id",
          "status",
          "amount"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/capture_id"
          },
          "status": {
            "$ref": "#/components/schemas/capture_status"
          },
          "amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "splits": {
            "$ref": "#/components/schemas/splits"
          }
        }
      },
      "capture_id": {
        "type": "string",
        "description": "The unique ID for the capture. **Nullable** for Transactions Details.",
        "examples": [
          "BcDE4fafd2a4"
        ]
      },
      "capture_status": {
        "type": "string",
        "description": "The status of the capture. **Nullable** for Transactions Details.",
        "enum": [
          "succeeded",
          "declined",
          "error"
        ],
        "examples": [
          "succeeded"
        ]
      },
      "splits": {
        "type": "array",
        "description": "A list of splits. **Nullable** for Transactions Details.",
        "items": {
          "type": "object",
          "description": "A split of fees by type and amount.",
          "required": [
            "amount",
            "type"
          ],
          "properties": {
            "amount": {
              "$ref": "#/components/schemas/amounts"
            },
            "type": {
              "type": "string",
              "description": "**Nullable** for Transactions Details.\n",
              "enum": [
                "net",
                "processing_fee",
                "bolt_fee",
                "adjustment",
                "float",
                "reserve"
              ],
              "examples": [
                "processing_fee"
              ]
            }
          }
        }
      },
      "refund_transactions": {
        "type": "array",
        "description": "**Nullable** for Transactions Details.\n",
        "items": {
          "$ref": "#/components/schemas/refund_transaction"
        }
      },
      "refund_transaction": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/from_consumer"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/from_consumer"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/from_credit_card"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/from_credit_card"
          },
          "amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "authorization": {
            "$ref": "#/components/schemas/transaction_authorization"
          },
          "capture": {
            "$ref": "#/components/schemas/capture"
          },
          "captures": {
            "$ref": "#/components/schemas/captures"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_status"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division"
          },
          "merchant": {
            "$ref": "#/components/schemas/adjust_transaction_merchant"
          },
          "transaction_properties": {
            "$ref": "#/components/schemas/transaction_properties"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/indemnification_reason"
          },
          "last_viewed_utc": {
            "$ref": "#/components/schemas/last_viewed_utc"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "risk_insights": {
            "$ref": "#/components/schemas/risk_insights"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision"
          },
          "merchant_order_number": {
            "$ref": "#/components/schemas/merchant_order_number"
          },
          "splits": {
            "$ref": "#/components/schemas/splits"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket"
          }
        }
      },
      "from_consumer": {
        "type": "object",
        "description": "The credit card user. **Nullable** for Transactions Details.",
        "required": [
          "id",
          "emails",
          "email_verified",
          "user_membership"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/consumer_id"
          },
          "first_name": {
            "$ref": "#/components/schemas/first_name"
          },
          "last_name": {
            "$ref": "#/components/schemas/last_name"
          },
          "phones": {
            "$ref": "#/components/schemas/phones_with_country_code"
          },
          "emails": {
            "$ref": "#/components/schemas/emails"
          },
          "email_verified": {
            "$ref": "#/components/schemas/consumer_email_verified"
          },
          "user_membership": {
            "$ref": "#/components/schemas/consumer_user_membership"
          },
          "platform_account_status": {
            "$ref": "#/components/schemas/consumer_platform_account_status"
          }
        }
      },
      "consumer_id": {
        "type": "string",
        "description": "The card-holder's unique ID. **Nullable** for Transactions Details.",
        "examples": [
          "b2vghjk2v4c5fgdh3jak"
        ]
      },
      "consumer_email_verified": {
        "type": "boolean",
        "description": "True if Bolt has verified this email in the past.  **Nullable** for Transactions Details.",
        "examples": [
          true
        ]
      },
      "consumer_user_membership": {
        "type": "object",
        "description": "**Nullable** for Transactions Details.\n",
        "required": [
          "status"
        ],
        "properties": {
          "status": {
            "$ref": "#/components/schemas/consumer_membership_status"
          }
        }
      },
      "consumer_membership_status": {
        "type": "string",
        "description": "True if user has a membership associated to their Bolt Account. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "cancelled",
          "disabled",
          "free_trial"
        ]
      },
      "consumer_platform_account_status": {
        "type": "integer",
        "description": "Used internally for Bolt. Does not display information externally.",
        "enum": [
          1,
          2,
          3
        ]
      },
      "from_credit_card": {
        "type": "object",
        "description": "A credit card.",
        "required": [
          "id",
          "last4",
          "bin",
          "expiration",
          "network",
          "token_type",
          "priority",
          "display_network",
          "icon_asset_path",
          "status"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/card_id"
          },
          "last4": {
            "$ref": "#/components/schemas/card_last4"
          },
          "bin": {
            "$ref": "#/components/schemas/card_bin"
          },
          "expiration": {
            "$ref": "#/components/schemas/card_expiration"
          },
          "network": {
            "$ref": "#/components/schemas/card_network"
          },
          "token_type": {
            "$ref": "#/components/schemas/card_token_type"
          },
          "priority": {
            "$ref": "#/components/schemas/card_priority"
          },
          "display_network": {
            "$ref": "#/components/schemas/card_network"
          },
          "icon_asset_path": {
            "$ref": "#/components/schemas/icon_asset_path"
          },
          "status": {
            "$ref": "#/components/schemas/card_status"
          },
          "billing_address": {
            "$ref": "#/components/schemas/consumer_billing_address"
          }
        }
      },
      "card_bin": {
        "type": "string",
        "description": "The card's BIN. **Nullable** for Transactions Details.",
        "examples": [
          "402201"
        ]
      },
      "card_expiration": {
        "type": "integer",
        "description": "The card's expiration. **Nullable** for Transactions Details.",
        "examples": [
          1654041600000
        ]
      },
      "card_token_type": {
        "type": "string",
        "description": "The card's token type. **Nullable** for Transactions Details.",
        "enum": [
          "vantiv",
          "applepay",
          "bolt",
          "stripe",
          "plcc"
        ],
        "examples": [
          "bolt"
        ]
      },
      "card_priority": {
        "type": "string",
        "description": "The priority for the card.",
        "enum": [
          "primary",
          "listed"
        ],
        "examples": [
          "primary"
        ]
      },
      "icon_asset_path": {
        "type": "string",
        "description": "The asset link for displayed icons. This link varies depending on payment method used.  **Nullable** for Transactions Details.",
        "examples": [
          "img/issuer-logos/visa.png"
        ]
      },
      "card_status": {
        "type": "string",
        "description": "The card's status. **Nullable** for Transactions Details.",
        "enum": [
          "active",
          "created",
          "inactive",
          "transient"
        ],
        "examples": [
          "active"
        ]
      },
      "credit_status": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "enum": [
              "succeeded",
              "declined",
              "error",
              "pending"
            ],
            "description": "This is the status of the refund."
          }
        }
      },
      "merchant_division": {
        "type": "object",
        "required": [
          "merchant_id",
          "description",
          "is_universal_merchant_api",
          "is_webhooks_v2",
          "shipping_url",
          "tax_url"
        ],
        "properties": {
          "id": {
            "$ref": "#/components/schemas/merchant_division_id"
          },
          "merchant_id": {
            "$ref": "#/components/schemas/merchant_id"
          },
          "public_id": {
            "$ref": "#/components/schemas/merchant_division_public_id"
          },
          "description": {
            "$ref": "#/components/schemas/merchant_division_description"
          },
          "logo": {
            "$ref": "#/components/schemas/merchant_logo"
          },
          "platform": {
            "$ref": "#/components/schemas/merchant_platform"
          },
          "hook_url": {
            "$ref": "#/components/schemas/merchant_hook_url"
          },
          "hook_type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "is_universal_merchant_api": {
            "type": "boolean",
            "description": "Defines whether or not the Universal API method is in use. **Nullable** for Transactions Details.",
            "examples": [
              true
            ]
          },
          "is_webhooks_v2": {
            "type": "boolean",
            "description": "Defines whether or not the second version of Bolt's webhooks is in use. **Nullable** for Transactions Details.",
            "examples": [
              true
            ]
          },
          "shipping_and_tax_url": {
            "type": "string",
            "description": "The endpoint URL provided by the merchant to Bolt for shipping and tax calculations.",
            "examples": [
              "https://mystore.com/api/v1/shipping_and_tax"
            ]
          },
          "shipping_url": {
            "type": "string",
            "description": "The endpoint URL provided by the merchant to Bolt for shipping calculations. **Nullable** for Transactions Details.",
            "examples": [
              "https://mystore.com/api/v1/shipping"
            ]
          },
          "tax_url": {
            "type": "string",
            "description": "The endpoint URL provided by the merchant to Bolt for tax calculations. **Nullable** for Transactions Details.",
            "examples": [
              "https://mystore.com/api/v1/tax"
            ]
          },
          "create_order_url": {
            "type": "string",
            "description": "The endpoint URL provided by the merchant to Bolt to create orders. **Nullable** for Transactions Details.",
            "examples": [
              "https://mystore.com/api/v1/create_order"
            ]
          },
          "universal_merchant_api_url": {
            "$ref": "#/components/schemas/merchant_universal_merchant_api_url"
          },
          "debug_url": {
            "$ref": "#/components/schemas/merchant_debug_url"
          },
          "update_cart_url": {
            "type": "string",
            "description": "The endpoint URL provided by the merchant to Bolt to pass cart updates.",
            "examples": [
              "https://mystore.com/api/v1/cart_update"
            ]
          },
          "account_page_url": {
            "$ref": "#/components/schemas/merchant_account_page_url"
          },
          "oauth_redirect_url": {
            "$ref": "#/components/schemas/merchant_oauth_redirect_url"
          },
          "oauth_logout_url": {
            "$ref": "#/components/schemas/merchant_oauth_logout_url"
          },
          "get_account_url": {
            "$ref": "#/components/schemas/merchant_get_account_url"
          },
          "validate_additional_account_data_url": {
            "$ref": "#/components/schemas/merchant_validate_additional_account_data_url"
          },
          "terms_of_service_url": {
            "$ref": "#/components/schemas/merchant_terms_of_service_url"
          },
          "privacy_policy_url": {
            "$ref": "#/components/schemas/merchant_privacy_policy_url"
          },
          "plugin_config_url": {
            "$ref": "#/components/schemas/merchant_plugin_config_url"
          },
          "product_info_url": {
            "$ref": "#/components/schemas/merchant_product_info_url"
          }
        }
      },
      "merchant_division_id": {
        "type": "string",
        "description": "The unique ID for one of the merchant's store divisions.",
        "examples": [
          "4ab56ad7865ada4ad32"
        ]
      },
      "merchant_id": {
        "type": "string",
        "description": "The unique ID for the merchant's Bolt account. A merchant account contains many merchant divisions. **Nullable** for Transactions Details.",
        "examples": [
          "4ab56ad7865ada4ad32"
        ]
      },
      "merchant_division_public_id": {
        "type": "string",
        "description": "The unique public ID for one of the merchant's store division.",
        "examples": [
          "4ab56ad7865ada4ad32"
        ]
      },
      "merchant_division_description": {
        "type": "string",
        "description": "The description of the merchant division. **Nullable** for Transactions Details.",
        "examples": [
          "Storefront for employees only."
        ]
      },
      "merchant_logo": {
        "type": "object",
        "properties": {
          "domain": {
            "$ref": "#/components/schemas/merchant_division_domain"
          },
          "resource": {
            "$ref": "#/components/schemas/merchant_division_logo"
          }
        }
      },
      "merchant_division_domain": {
        "type": "string",
        "description": "The URL of the merchant division.",
        "examples": [
          "mystore-staging.boltapp.com"
        ]
      },
      "merchant_division_logo": {
        "type": "string",
        "description": "The logo image file for the merchant division.",
        "examples": [
          "division-logo.png"
        ]
      },
      "merchant_platform": {
        "type": "string",
        "description": "The type of platform being used for this merchant division.",
        "enum": [
          "none",
          "big_commerce",
          "shopify",
          "magento",
          "magento2",
          "woo_commerce",
          "drupal",
          "volusion",
          "prestashop",
          "commerce_cloud"
        ],
        "examples": [
          "big_commerce"
        ]
      },
      "merchant_hook_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant to send webhooks.",
        "examples": [
          "https://mystore.com/api/v1/hooks"
        ]
      },
      "merchant_universal_merchant_api_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant to access their universal API.",
        "examples": [
          "https://mystore.com/api/bolt_universal"
        ]
      },
      "merchant_debug_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for debugging.",
        "examples": [
          "https://mystore.com/v1/debug"
        ]
      },
      "merchant_account_page_url": {
        "type": "string",
        "description": "The URL provided by the merchant for the account page.",
        "examples": [
          "https://mystore.com/account"
        ]
      },
      "merchant_oauth_redirect_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for OAuth redirects.",
        "examples": [
          "https://mystore.com/api/v1/oauth_redirect"
        ]
      },
      "merchant_oauth_logout_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for logging out of OAuth accounts.",
        "examples": [
          "https://mystore.com/api/v1/oauth_logout"
        ]
      },
      "merchant_get_account_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant to fetch accounts.",
        "examples": [
          "https://mystore.com/api/v1/account_get"
        ]
      },
      "merchant_validate_additional_account_data_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for validating additional account data.",
        "examples": [
          "https://mystore.com/api/v1/account_validate"
        ]
      },
      "merchant_terms_of_service_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for providing unique terms of service.",
        "examples": [
          "https://mystore.com/api/v1/terms"
        ]
      },
      "merchant_privacy_policy_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for providing a unique privacy policy.",
        "examples": [
          "https://mystore.com/api/v1/privacy"
        ]
      },
      "merchant_plugin_config_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for checking plugin configuration details.",
        "examples": [
          "https://mystore.com/api/v1/plugin_config"
        ]
      },
      "merchant_product_info_url": {
        "type": "string",
        "description": "The endpoint URL provided by the merchant for checking product details.",
        "examples": [
          "https://mystore.com/api/v1/product_details"
        ]
      },
      "adjust_transaction_merchant": {
        "type": "object",
        "required": [
          "created_at",
          "description",
          "processor",
          "operational_processors",
          "time_zone"
        ],
        "properties": {
          "created_at": {
            "$ref": "#/components/schemas/merchant_created_date"
          },
          "description": {
            "$ref": "#/components/schemas/merchant_description"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "operational_processors": {
            "$ref": "#/components/schemas/transaction_operational_processors"
          },
          "public_id": {
            "$ref": "#/components/schemas/merchant_public_id"
          },
          "time_zone": {
            "$ref": "#/components/schemas/merchant_time_zone"
          }
        }
      },
      "merchant_created_date": {
        "type": "integer",
        "description": "The date the merchant account was created.  **Nullable** for Transactions Details.",
        "examples": [
          1485997169003
        ]
      },
      "merchant_description": {
        "type": "string",
        "description": "The description of the merchant account. **Nullable** for Transactions Details.",
        "examples": [
          "Brand Name Here."
        ]
      },
      "transaction_operational_processors": {
        "type": "array",
        "description": "**Nullable** for Transactions Details.\n",
        "items": {
          "$ref": "#/components/schemas/transaction_operational_processor"
        }
      },
      "transaction_operational_processor": {
        "type": "object",
        "required": [
          "processor",
          "status"
        ],
        "properties": {
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_processor_status"
          }
        }
      },
      "transaction_processor_status": {
        "type": "string",
        "description": "The processor's status. Only `primary` and `active` processor are displayed.",
        "enum": [
          "primary",
          "active",
          "inactive"
        ],
        "examples": [
          "primary"
        ]
      },
      "merchant_public_id": {
        "type": "string",
        "description": "The unique public ID for the merchant's Bolt account. A merchant account contains many merchant divisions.",
        "examples": [
          "zSrbabI3MFe8"
        ]
      },
      "merchant_time_zone": {
        "type": "string",
        "description": "The timezone of the merchant. **Nullable** for Transactions Details.",
        "examples": [
          "America/Los_Angeles"
        ]
      },
      "transaction_properties": {
        "type": "object",
        "properties": {
          "avs_result": {
            "type": "string",
            "examples": [
              "avs result"
            ]
          },
          "cvv_result": {
            "type": "string",
            "examples": [
              "cvv result"
            ]
          }
        }
      },
      "indemnification_decision": {
        "type": "string",
        "description": "Determines indemnification coverage.",
        "enum": [
          "unknown",
          "indemnified",
          "not_indemnified"
        ],
        "examples": [
          "indemnified"
        ]
      },
      "indemnification_reason": {
        "type": "string",
        "description": "Determines indemnification coverage reason.",
        "enum": [
          "checkout",
          "virtual_terminal",
          "merchant_back_office",
          "merchant_force_approved",
          "reversibly_rejected",
          "irreversibly_rejected",
          "risk_engine_approved",
          "analyst_approved",
          "auth_verification",
          "paypal",
          "afterpay",
          "direct_payments",
          "whitelist",
          "external_review"
        ],
        "examples": [
          "checkout"
        ]
      },
      "last_viewed_utc": {
        "type": "integer",
        "description": "The last view time as UTC.",
        "examples": [
          1485997169003
        ]
      },
      "risk_insights": {
        "type": "object",
        "description": "Displays fraud decisioning insights based on key factors. This information can either be forwarded via a `risk_insights` transaction webhook type or be polled by sending a `GET` request to Bolt's [transactions endpoint](/api-bolt/#operation/transaction-details).\n",
        "properties": {
          "available": {
            "$ref": "#/components/schemas/risk_insight_availability"
          },
          "fraud_probability": {
            "$ref": "#/components/schemas/risk_fraud_probability"
          },
          "decision_factors": {
            "$ref": "#/components/schemas/risk_decision_factors"
          },
          "payment_instrument_factors": {
            "$ref": "#/components/schemas/risk_payment_instrument_factors"
          }
        }
      },
      "risk_insight_availability": {
        "type": "boolean",
        "description": "Must be set to `true` to receive fraud insights.",
        "examples": [
          true
        ]
      },
      "risk_fraud_probability": {
        "type": "integer",
        "description": "The total [fraud score](/dashboard/fraud/fraud-review/#fraud-scoring).\n",
        "examples": [
          943
        ]
      },
      "risk_decision_factors": {
        "type": "array",
        "description": "The top 5 factors of the fraud decision.",
        "items": {
          "$ref": "#/components/schemas/risk_decision_factor"
        }
      },
      "risk_decision_factor": {
        "type": "string",
        "description": "One of the main contributing factors to the fraud decision and score.",
        "enum": [
          "address_details",
          "auth_decline_stolen_card",
          "card_information",
          "cart_details",
          "checkout_behavior",
          "device_specifications",
          "email_details",
          "fraudulent_chargeback",
          "ip_details",
          "phone_details",
          "shipping_details",
          "too_many_attempts",
          "user_history"
        ],
        "examples": [
          "checkout_behavior"
        ]
      },
      "risk_payment_instrument_factors": {
        "type": "object",
        "description": "Displays the result of the CVV and AVS checks returned at authorization.",
        "properties": {
          "avs": {
            "type": "string",
            "examples": [
              "avs result"
            ]
          },
          "cvv": {
            "type": "string",
            "examples": [
              "cvv result"
            ]
          }
        }
      },
      "order_decision": {
        "type": "object",
        "description": "Decision and score for an order.",
        "properties": {
          "score": {
            "$ref": "#/components/schemas/order_decision_score"
          },
          "decision_factors": {
            "$ref": "#/components/schemas/risk_decision_factors"
          }
        }
      },
      "order_decision_score": {
        "type": "integer",
        "description": "The total fraud risk score of the order.",
        "examples": [
          "680"
        ]
      },
      "merchant_order_number": {
        "type": "string",
        "description": "The merchant's internal order number for this transaction.",
        "examples": [
          "O-1234567"
        ]
      },
      "review_ticket": {
        "type": "object",
        "description": "Internal use only.",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/request_id"
          },
          "status": {
            "$ref": "#/components/schemas/request_status"
          },
          "request_deadline": {
            "$ref": "#/components/schemas/request_deadline"
          }
        }
      },
      "request_id": {
        "type": "string",
        "description": "The unique ID for the request ticket.",
        "examples": [
          "2d34a56"
        ]
      },
      "request_status": {
        "type": "string",
        "enum": [
          "reviewed"
        ]
      },
      "request_deadline": {
        "type": "integer",
        "examples": [
          1627955971268
        ]
      },
      "risk_signals": {
        "type": "object",
        "description": "The data used for risk assessment.",
        "properties": {
          "ip_address": {
            "type": "string",
            "examples": [
              "147.92.88.21"
            ]
          },
          "time_on_site": {
            "type": "string",
            "examples": [
              "00:08:42"
            ]
          },
          "http_headers": {
            "type": "object",
            "description": "Data about the user's http connection.",
            "properties": {
              "accept": {
                "type": "string",
                "examples": [
                  "application/json"
                ]
              },
              "accept_encoding": {
                "type": "string",
                "examples": [
                  "gzip, deflate, br"
                ]
              },
              "accept_language": {
                "type": "string",
                "examples": [
                  "en-US,en;q=0.9"
                ]
              },
              "connection": {
                "type": "string",
                "examples": [
                  null
                ]
              },
              "host": {
                "type": "string",
                "examples": [
                  "api-staging.boltapp.com"
                ]
              },
              "referer": {
                "type": "string",
                "examples": [
                  "https://merchant-staging.boltapp.com/"
                ]
              },
              "user_agent": {
                "type": "string",
                "examples": [
                  "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/99.0.4844.51 Safari/537.36"
                ]
              }
            }
          }
        }
      },
      "capture_type": {
        "type": "string",
        "description": "The type of capture used for this transaction.",
        "enum": [
          "manual",
          "auto"
        ]
      },
      "webhooks_transaction_capture": {
        "type": "object",
        "title": "capture",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
                "$ref": "#/components/schemas/transaction_from_credit_card"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "authorization": {
                "$ref": "#/components/schemas/transaction_authorization"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "checkboxes": {
                "$ref": "#/components/schemas/checkbox"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              }
            }
          }
        }
      },
      "checkbox": {
        "type": "object",
        "description": "A checkbox's custom values.",
        "properties": {
          "checkbox_id": {
            "type": "string",
            "examples": [
              3412414
            ]
          },
          "text": {
            "type": "string",
            "examples": [
              "I agree to the terms and conditions"
            ]
          },
          "value": {
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "required": {
            "type": "boolean",
            "examples": [
              true
            ]
          },
          "category": {
            "type": "string",
            "examples": [
              "Other"
            ]
          },
          "type": {
            "type": "string",
            "examples": [
              "static"
            ]
          },
          "is_custom_field": {
            "type": "boolean",
            "examples": [
              true
            ]
          }
        }
      },
      "webhooks_transaction_credit": {
        "type": "object",
        "title": "credit",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "source_transaction": {
                "$ref": "#/components/schemas/source_transaction"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              },
              "refund_type": {
                "$ref": "#/components/schemas/refund_type"
              },
              "total_refund_amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "requested_refund_amount": {
                "$ref": "#/components/schemas/amounts"
              }
            }
          }
        }
      },
      "source_transaction": {
        "type": "object",
        "description": "**Nullable** for Transactions Details.\n",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/transaction_id"
          },
          "type": {
            "$ref": "#/components/schemas/transaction_type"
          },
          "processor": {
            "$ref": "#/components/schemas/transaction_processor"
          },
          "date": {
            "$ref": "#/components/schemas/transaction_date"
          },
          "reference": {
            "$ref": "#/components/schemas/transaction_reference"
          },
          "status": {
            "$ref": "#/components/schemas/transaction_status"
          },
          "from_consumer": {
            "$ref": "#/components/schemas/from_consumer"
          },
          "to_consumer": {
            "$ref": "#/components/schemas/from_consumer"
          },
          "from_credit_card": {
            "$ref": "#/components/schemas/from_credit_card"
          },
          "to_credit_card": {
            "$ref": "#/components/schemas/from_credit_card"
          },
          "amount": {
            "$ref": "#/components/schemas/amounts"
          },
          "authorization": {
            "$ref": "#/components/schemas/transaction_authorization"
          },
          "capture": {
            "$ref": "#/components/schemas/capture"
          },
          "captures": {
            "$ref": "#/components/schemas/captures"
          },
          "credit": {
            "$ref": "#/components/schemas/credit_status"
          },
          "merchant_division": {
            "$ref": "#/components/schemas/merchant_division"
          },
          "merchant": {
            "$ref": "#/components/schemas/adjust_transaction_merchant"
          },
          "transaction_properties": {
            "$ref": "#/components/schemas/risk_payment_instrument_factors"
          },
          "indemnification_decision": {
            "$ref": "#/components/schemas/indemnification_decision"
          },
          "indemnification_reason": {
            "$ref": "#/components/schemas/indemnification_reason"
          },
          "order_decision": {
            "$ref": "#/components/schemas/order_decision"
          },
          "merchant_order_number": {
            "$ref": "#/components/schemas/merchant_order_number"
          },
          "splits": {
            "$ref": "#/components/schemas/splits"
          },
          "review_ticket": {
            "$ref": "#/components/schemas/review_ticket"
          }
        }
      },
      "refund_type": {
        "type": "string",
        "description": "The type of refund.",
        "enum": [
          "single_refund",
          "multi_refund"
        ]
      },
      "webhooks_transaction_failed_payment": {
        "type": "object",
        "title": "failed_payment",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
                "$ref": "#/components/schemas/transaction_from_credit_card"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "authorization": {
                "$ref": "#/components/schemas/transaction_authorization"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "checkboxes": {
                "$ref": "#/components/schemas/checkbox"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              }
            }
          }
        }
      },
      "webhooks_transaction_newsletter_subscription": {
        "type": "object",
        "title": "newsletter_subscription",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
                "$ref": "#/components/schemas/transaction_from_credit_card"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "authorization": {
                "$ref": "#/components/schemas/transaction_authorization"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "checkboxes": {
                "$ref": "#/components/schemas/checkbox"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              }
            }
          }
        }
      },
      "webhooks_transaction_payment": {
        "type": "object",
        "title": "payment",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
                "$ref": "#/components/schemas/transaction_from_credit_card"
              },
              "amount": {
                "$ref": "#/components/schemas/amounts"
              },
              "order": {
                "$ref": "#/components/schemas/order"
              },
              "authorization": {
                "$ref": "#/components/schemas/transaction_authorization"
              },
              "captures": {
                "$ref": "#/components/schemas/captures"
              },
              "refund_transactions": {
                "$ref": "#/components/schemas/refund_transactions"
              },
              "risk_signals": {
                "$ref": "#/components/schemas/risk_signals"
              },
              "capture_type": {
                "$ref": "#/components/schemas/capture_type"
              }
            }
          }
        }
      },
      "webhooks_transaction_rejected_irreversible": {
        "type": "object",
        "title": "rejected_irreversible",
        "properties": {
          "type": {
            "$ref": "#/components/schemas/webhooks_type"
          },
          "object": {
            "type": "string",
            "enum": [
              "transaction"
            ],
            "examples": [
              "transaction"
            ]
          },
          "data": {
            "type": "object",
            "description": "This is a generic wrapper for the merchant's data. Open to see properties.",
            "properties": {
              "id": {
                "$ref": "#/components/schemas/transaction_id"
              },
              "type": {
                "$ref": "#/components/schemas/transaction_type"
              },
              "processor": {
                "$ref": "#/components/schemas/transaction_processor"
              },
              "date": {
                "$ref": "#/components/schemas/transaction_date"
              },
              "reference": {
                "$ref": "#/components/schemas/transaction_reference"
              },
              "status": {
                "$ref": "#/components/schemas/transaction_status"
              },
              "from_user": {
                "$ref": "#/components/schemas/transaction_from_user"
              },
              "from_credit_card": {
[...]
